; CL-DBMS by Zerosum
; $Id: 
;
; * An environment that has all global information for the CL-STORAGE system
;


(load "list.lisp")

(defstruct (env)
  active-tx-list
)

; Create an environment to use a database
(defun env-create()
  (make-env)
)

; Destroy an environment
(defun env-destroy( env )
; Do nothing
)

; Append an active transaction to the active transaction list of environment
(defun env-append-to-active-tx-list(env tx)
  (setf (env-active-tx-list env) 
        (list-append (env-active-tx-list env) tx ))
)

; Remove an active transaction from the active transaction list of environment
(defun env-remove-from-active-tx-list(env tx)
  (setf (env-active-tx-list env) 
        (list-remove (env-active-tx-list env) tx ))
)


